Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031723
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 03. Procurement managementmajoralways2015-12-10 18:242015-12-16 16:58
ReporterVictorVillarView Statuspublic 
Assigned Tovmromanos 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q4.2
StatusclosedFix in branchFixed in SCM revisioneaa5b60373e1
ProjectionnoneETAnoneTarget Version3.0PR15Q4.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-02-20
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/2fc504a99106068f4d0dcd5af1f1c8bbf70721c3#l1.6 [^]
Triggers an Emergency PackNo
Summary

0031723: Return to vendor shipments appear in the pick and edit lines of the return to vendor

DescriptionReturn to vendor shipments appear in the pick and edit lines of the return to vendor
Steps To ReproduceCreate a Return To Vendor and select a Goods Receipt: one line, entire quantity. Process it
Create a Return To vendor shipment and select the return to vendor created before. Process it.
Create a new Return To Vendor - P&Edit lines. Realise that the return to vendor shipment appear.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0031695 closedvmromanos Return to vendor shipments appear in the pick and edit lines of the return to vendor 

-  Notes
(0082805)
hgbot (developer)
2015-12-16 16:58

Repository: erp/backports/3.0PR15Q4.2
Changeset: eaa5b60373e18c4412406dde5c9dfe4aeba68ad4
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Dec 15 14:54:22 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q4.2/rev/eaa5b60373e18c4412406dde5c9dfe4aeba68ad4 [^]

Fixed bug 31723: Return to vendor shipments can be selected in return to vendor

The HQL query in charge of getting the shipment lines was wrongly including all the shipment documents. Instead it should be taking only the lines belonging to a non-return shipment document.

This feature was lost during the refactor to a manual datasource P&E

---
M src-db/database/sourcedata/AD_TABLE.xml
---
(0082806)
aferraz (developer)
2015-12-16 16:58

Code review OK

- Issue History
Date Modified Username Field Change
2015-12-15 14:58 vmromanos Type defect => backport
2015-12-15 14:58 vmromanos Target Version => 3.0PR15Q4.2
2015-12-16 16:58 hgbot Checkin
2015-12-16 16:58 hgbot Note Added: 0082805
2015-12-16 16:58 hgbot Status scheduled => resolved
2015-12-16 16:58 hgbot Resolution open => fixed
2015-12-16 16:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q4.2/rev/eaa5b60373e18c4412406dde5c9dfe4aeba68ad4 [^]
2015-12-16 16:58 aferraz Review Assigned To => aferraz
2015-12-16 16:58 aferraz Note Added: 0082806
2015-12-16 16:58 aferraz Status resolved => closed
2015-12-16 16:58 aferraz Fixed in Version => 3.0PR15Q4.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker